%global srcname pkginfo
%global sum Query metadata from sdists / bdists / installed packages

Name:           python-%{srcname}
Version:        1.3.2
Release:        1%{?dist}
Summary:        %{sum}

# License is missing from the source repo: see https://bugs.launchpad.net/pkginfo/+bug/1591344
License:        Python
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/bc/3e/046ec2439e233161f99d2f6cceb1ac49176612b6f6250cd6cb9919cda97a/pkginfo-1.3.2.tar.gz
# Upstream installs the test package, and we don't need to distribute that.
Patch0:         0001-Stop-installing-the-test-package.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-sphinx


%description
This package provides an API for querying the distutils metadata written in the
PKG-INFO file inside a source distribution (an sdist) or a binary distribution
(e.g., created by running bdist_egg). It can also query the EGG-INFO directory
of an installed distribution, and the *.egg-info stored in a "development
checkout" (e.g, created by running setup.py develop).


%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       python-setuptools
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package provides an API for querying the distutils metadata written in the
PKG-INFO file inside a source distribution (an sdist) or a binary distribution
(e.g., created by running bdist_egg). It can also query the EGG-INFO directory
of an installed distribution, and the *.egg-info stored in a "development
checkout" (e.g, created by running setup.py develop).


%package -n python-%{srcname}-doc
Summary:        Documentation for the python-%{srcname} packages

%description -n python-%{srcname}-doc
This package provides documentation for the Python pkginfo package. pkginfo
provides an API for querying the distutils metadata written in the PKG-INFO
file inside a source distribution (an sdist) or a binary distribution (e.g.,
created by running bdist_egg). It can also query the EGG-INFO directory of an
installed distribution, and the *.egg-info stored in a "development checkout"
(e.g, created by running setup.py develop).


%prep
%autosetup -p1 -n %{srcname}-%{version}
rm -rf *.egg-info


%build
%py2_build

cd docs
make %{?_smp_mflags} html
rm .build/html/objects.inv

%install
%py2_install
ln -s %{_bindir}/pkginfo %{buildroot}%{_bindir}/pkginfo-2.7
ln -s %{_bindir}/pkginfo-2.7 %{buildroot}%{_bindir}/pkginfo-2


# Upstream ships a broken unit test: see https://bugs.launchpad.net/pkginfo/+bug/1591298
# Until that's fixed, skip testing.


%files -n python2-%{srcname}
%doc README.txt CHANGES.txt
%{python2_sitelib}/*
%{_bindir}/pkginfo
%{_bindir}/pkginfo-2
%{_bindir}/pkginfo-2.7

%files -n python-%{srcname}-doc
%doc README.txt CHANGES.txt
%doc docs/.build/html/*

%changelog
* Thu Jun 09 2016 Jeremy Cline <jeremy@jcline.org> - 1.6.5-1
- Initial commit
